.modal {
  width: 100%;
  height: 100%;
  position: fixed;
  background-color: rgb(0, 0, 0); /* Fallback color */
  background-color: rgba(0, 0, 0, 0.4);
  z-index: 100;
}

.card,
.login {
  margin: 2rem auto;
  width: 30vw;
  padding: 2rem 4rem 4rem 4rem;
  border-radius: 1rem;
  text-align: center;
  border: none;
  box-shadow: 0 0 0.6rem 0.2rem rgba(0, 0, 0, 0.2);

  @media screen and (max-width: 1024px) {
    width: 50vw;
    margin: 5rem auto;
  }

  @media screen and (max-width: 768px) {
    width: 60vw;
  }

  @media screen and (max-width: 460px) {
    width: 90vw;
  }

  .or {
    color: #656565;
    margin-top: 0.4rem;
    font-weight: bold;
  }

  .logo {
    // width: 5.5rem;
    width: 100%;
    height: 100%;
    margin: 2rem auto 1.5rem auto;
  }

  .title {
    color: #656565;
    font-size: 2.3rem;
    font-weight: bold;
    margin-bottom: 1rem;
  }

  .input {
    width: 100%;
    padding: 1rem;
    margin-top: 1rem;
    border-radius: 0.5rem;
    border: 1px solid transparent;
    background-color: rgb(230, 230, 230);

    &:focus {
      outline: 0;
      border: 1px solid darken(rgb(230, 230, 230), 5%);
    }

    &::-webkit-input-placeholder {
      font-weight: bold;
      color: darken(rgb(230, 230, 230), 20%);
    }
  }

  .button {
    margin-top: 1rem;
  }

  .links {
    font-weight: bold;
    font-size: 1.4rem;
    margin-top: 1.5rem;
    display: flex;
    justify-content: space-between;

    a {
      color: darken(rgb(230, 230, 230), 15%);
      text-decoration: none;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  .login-link:visited,
  .login-link:link,
  .login-link {
    color: darken(rgb(230, 230, 230), 15%);
    text-decoration: none;
    font-weight: bold;
    font-size: 1.4rem;
    margin-bottom: 6rem;
    margin-top: 1rem;
    cursor: pointer;

    &:focus {
      outline: none;
      text-decoration: underline;
    }

    &:hover {
      text-decoration: underline;
    }
  }

  .terms {
    margin-top: 4rem;
    font-size: 1.4rem;
    color: darken(rgb(230, 230, 230), 28%);
  }

  .emphasize {
    color: darken(rgb(230, 230, 230), 40%);
    font-weight: bold;
  }

  .ng-option {
    padding: 0.3rem 0;

    &:hover {
      background-color: lighten($color-navbar, 10%);
      color: black;
    }
  }

  .ng-dropdown-panel {
    position: unset;
    color: $color-primary;
  }

  .ng-placeholder {
    color: darken(rgb(230, 230, 230), 20%);
    font-weight: bold;
    font-size: 1.4rem;
  }

  .ng-select-container.ng-has-value .ng-placeholder {
    display: none;
  }
}

// select:invalid {
//   color: darken(rgb(230, 230, 230), 20%);
//   font-weight: bold;
// }

// option[value=''][disabled] {
//   display: none;
// }
